<bugID>1329147<Summary>Optimize rendering of the RequestListItem component</Summary><Description>Profiling the React/Redux implemenation of Netmonitor UI with Cleopatra tells me that a lot of time is spent when rendering the RequestListItem component.

Subcomponents like CauseColumn or MethodColumn will never change after the first render, yet they are rerendered on every update.

My patch will do the following optimizations:
1. Convert all the *Column components into classes (they are stateless functional components now) and implement a suitable shouldComponentUpdate on them. This will prevent redundant calls to render().

2. Optimize how the properties are compared in shouldComponentUpdate. Property access in Immutable.Record is rather expensive. So, I'm reordering the property names in RELEVANT_ITEM_PROPS (renamed to UPDATED_REQ_ITEM_PROPS) so that the ones most likely to be different are the first: mimeType, eventTimings, securityState, responseContentDataUri.</Description></bugID>